SignatureType (Gradle API 7.6.4)

Package org.gradle.plugins.signing.type

## Interface SignatureType

- All Known Implementing Classes:
    `AbstractSignatureType`, `ArmoredSignatureType`, `BinarySignatureType`

      public interface SignatureType

  The type of signature.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `combinedExtension​(java.io.File toSign)` | Combines the extension of the given file with the expected signature extension.
    `java.io.File` | `fileFor​(java.io.File toSign)` | Calculates the file where to store the signature of the given file to be signed.
    `java.lang.String` | `getExtension()` | The file extension (without the leading dot) associated to this type of signature.
    `java.io.File` | `sign​(Signatory signatory, java.io.File toSign)` | Signs the given file and returns the file where the signature has been written to.
    `void` | `sign​(Signatory signatory, java.io.InputStream toSign, java.io.OutputStream destination)` | Signs the data from the given InputStream and stores the signature in the given OutputStream.

- - ### Method Detail

    - #### getExtension

          @Input
          java.lang.String getExtension()

      The file extension (without the leading dot) associated to this type of signature.

    - #### fileFor

          java.io.File fileFor​(java.io.File toSign)

      Calculates the file where to store the signature of the given file to be signed.
      Parameters:
        `toSign` - The file to be signed
      Returns:
        The file where to write the signature of the given file to be signed

    - #### combinedExtension

          java.lang.String combinedExtension​(java.io.File toSign)

      Combines the extension of the given file with the expected signature extension.
      Parameters:
        `toSign` - The file to be signed
      Returns:
        The combined file extension (without the leading dot)
      See Also:
        `getExtension()`

    - #### sign

          java.io.File sign​(Signatory signatory,
                            java.io.File toSign)

      Signs the given file and returns the file where the signature has been written to.
      Parameters:
        `signatory` - The signatory
        `toSign` - The file to be signed
      Returns:
        The file where the signature has been written to

    - #### sign

          void sign​(Signatory signatory,
                    java.io.InputStream toSign,
                    java.io.OutputStream destination)

      Signs the data from the given InputStream and stores the signature in the given OutputStream.
      Parameters:
        `signatory` - The signatory
        `toSign` - The source of the data to be signed
        `destination` - Where the signature will be written to